org.apache.commons.math3.ode.events

## Enum EventHandler.Action

- java.lang.Object
- - java.lang.Enum<EventHandler.Action>
  - - org.apache.commons.math3.ode.events.EventHandler.Action

All Implemented Interfaces:
  Serializable, Comparable<EventHandler.Action>

Enclosing interface:
  EventHandler

    public static enum EventHandler.Action
    extends Enum<EventHandler.Action>

Enumerate for actions to be performed when an event occurs.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTINUE` Continue indicator.
`RESET_DERIVATIVES` Reset derivatives indicator.
`RESET_STATE` Reset state indicator.
`STOP` Stop indicator.

### Method Summary

Methods
`static EventHandler.Action` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EventHandler.Action[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STOP

    public static final EventHandler.Action STOP

Stop indicator.

This value should be used as the return value of the `eventOccurred` method when the integration should be stopped after the event ending the current step.

#### RESET_STATE

    public static final EventHandler.Action RESET_STATE

Reset state indicator.

This value should be used as the return value of the `eventOccurred` method when the integration should go on after the event ending the current step, with a new state vector (which will be retrieved thanks to the `resetState` method).

#### RESET_DERIVATIVES

    public static final EventHandler.Action RESET_DERIVATIVES

Reset derivatives indicator.

This value should be used as the return value of the `eventOccurred` method when the integration should go on after the event ending the current step, with a new derivatives vector (which will be retrieved thanks to the `FirstOrderDifferentialEquations.computeDerivatives(double, double[], double[])` method).

#### CONTINUE

    public static final EventHandler.Action CONTINUE

Continue indicator.

This value should be used as the return value of the `eventOccurred` method when the integration should go on after the event ending the current step.

### Method Detail

#### values

    public static EventHandler.Action[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EventHandler.Action c : EventHandler.Action.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EventHandler.Action valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null